Ad Account Targetingvalidation
Updated: Oct 3, 2025
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Query the ads framework for validation
Example
GET /v25.0/{ad-account-id}/targetingvalidation HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
id_listlist<int64> |
List of IDs to validate. Supports interest and categories.
|
is_exclusionboolean | Default value: false
Whether the targeting IDs can be used in exclusion.
|
name_listlist<string> |
List of names to validate. Supports interest and categories.
|
targeting_listlist<JSON or object-like arrays> |
List with targeting type and ID pairs
type enum {interests, education_statuses, education_schools, education_majors, work_positions, work_employers, interested_in, relationship_statuses, college_years, family_statuses, industries, life_events, political_views, politics, behaviors, income, net_worth, home_type, home_ownership, home_value, ethnic_affinity, generation, household_composition, moms, office_type, user_adclusters}id int64Show child parameters |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdAccountTargetingUnified nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
100 | Invalid parameter |
200 | Permissions error |
190 | Invalid OAuth 2.0 Access Token |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.